
#' Pen-Based Recognition of Handwritten Digits Data Set (training dataset)
#'
#' @docType data
#'
#' @description
#' The data is about the recognition of handwritten numbers from 0 to 9.
#' There are 30 writers in the training dataset and each participant are asked to write 250 digits in random order.
#' Without missing data, this dataset has 7494 observations.
#' The experiment uses WACOM tablet, which has 500 x 500 pixel resolutions and normalized it to a maximum scale of 100.
#' The researcher considers spatial resampling.
#' Thus, for each digit, eight pairs of 2 dimensional (x axis and y axis) locations are recorded, which makes this dataset have 16 dimensional predictor variables.
#'
#' @usage pendigits.tra
#'
#' @format
#' A data frame with 2219 obsevations on 17 variables.
#'
#' The first column to the 16th column represent resampled values of the pairs of points.
#' The 17th column presents the digit (0 to 9).
#'
#' @keywords datasets
#'
#' @references F. Alimoglu (1996) Combining Multiple Classifiers for Pen-Based Handwritten Digit Recognition, MSc Thesis, Institute of Graduate Studies in Science and Engineering, Bogazici University.
#'            F. Alimoglu, E. Alpaydin, "Methods of Combining Multiple Classifiers Based on Different Representations for Pen-based Handwriting Recognition," Proceedings of the Fifth Turkish Artificial Intelligence and Artificial Neural Networks Symposium (TAINN 96), June 1996, Istanbul, Turkey.
#'
#' @source https://archive.ics.uci.edu/ml/datasets/Pen-Based+Recognition+of+Handwritten+Digits

"pendigits.tra"

